Subject: bug#45945: 28.0.50; Feature request: Some kind of 'max-window-height' parameter for display-buffer-in-direction

From: Dmitry Gutov <[email-masked]>
Date: Tue, 19 Jan 2021 21:31:43 +0200

On 19.01.2021 19:41, Juri Linkov wrote:
>>> It will be helpful to limit the height of the resulting window (either
>>> in lines or in percentages of the parent window height). If the split has
>>> been performed, of course.
>>
>> Looks like I've managed that with 'window-height' alist entry set to
>> a function that wraps fit-window-to-buffer.
>>
>> Commit 4ca808ee7a in master.
> 
> Indeed, maybe this could be customizable.  For example,
> like there is the customizable variable display-buffer-alist,
> a new customizable variable with a name like post-display-buffer-functions
> could be used to add/remove such hooks as fit-window-to-buffer.
> like temp-buffer-resize-mode does.  But this should a more general feature.

The general feature sounds interesting, but I personally have avoided 
customizing even display-buffer-alist so far, and doing that with either 
of the variables (the existing or the proposed one) seems pretty far 
from the capabilities of an average Emacs user.

Speaking of customization, I rather wondered whether the max height 
percentage in xref-show-definitions-buffer-at-bottom should be 
customizable (as a float number, probably).